#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Очистка директории

python filem/samples/clear_folder.py --path путь_к_директории [--no_clear_shell]
"""

# ######################################################################################################################
# Импорт необходимых инструментов
# ######################################################################################################################
import argparse  # Парсинг аргументов и параметров командной строки

# Персональные
from trml.shell import Shell                # Работа с Shell
from filem.file_manager import FileManager  # Работа с файлами


# ######################################################################################################################
# Выполняем только в том случае, если файл запущен сам по себе
# ######################################################################################################################
def main():
    # Построение аргументов командой строки
    ap = argparse.ArgumentParser()

    # Добавление аргументов в парсер командной строки
    ap.add_argument('--path', required=True, help='Путь к директории')
    ap.add_argument('--no_clear_shell', action='store_false', help='Не очищать консоль перед выполнением')

    args = vars(ap.parse_args())  # Преобразование списка аргументов командной строки в словарь

    # Очистка консоли перед выполнением
    if args['no_clear_shell'] is True:
        Shell.clear()  # Очистка консоли

    file_manager = FileManager()  # Работа с файлами

    file_manager.clear_folder(args['path'])  # Очистка директории


if __name__ == "__main__":
    main()
